Exchange API Keys
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's exchange API keys
GET /api/v2/api/exchange HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's exchange API keys
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The id of a CEX exchange
1The name of the API key max 255 characters
My API Keymx0vglashYu7egJuhnN0745c547aSBp89bs450fb1dfacf86af8ed32Some extra value if required, depends on the exchange
Bd8r9sf97rLqZ7API key created successfully
Missing required fields or invalid credentials
Exchange not found
POST /api/v2/api/exchange HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 149
{
"exchangeId": "1",
"name": "My API Key",
"publicKey": "mx0vglashYu7egJuhnN0",
"privateKey": "745c547aSBp89bs450fb1dfacf86af8ed32",
"extra": "Bd8r9sf97rLqZ7"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Paginated signal bot data
Missing id, page, or limit
GET /api/v2/api/exchange/bot/signal/{id}?page=1&limit=1 HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
ACTIVEPossible values: Status updated successfully
SuccessMissing id or invalid status
API key not found
PUT /api/v2/api/exchange/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"status": "ACTIVE"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
API key deleted successfully
SuccessMissing api id
API key not found
API key is in use by signal bots
DELETE /api/v2/api/exchange/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The id of a CEX exchange
1mx0vglashYu7egJuhnN0745c547aSBp89bs450fb1dfacf86af8ed32Some extra value if required, depends on the exchange
Bd8r9sf97rLqZ7API key is valid
Missing required fields or invalid credentials
Exchange not found
POST /api/v2/api/exchange/test HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 129
{
"exchangeId": "1",
"publicKey": "mx0vglashYu7egJuhnN0",
"privateKey": "745c547aSBp89bs450fb1dfacf86af8ed32",
"extra": "Bd8r9sf97rLqZ7"
}No content
Last updated